Skip to content

Get EV Breakdown

Gets a breakdown of a specific EV.

A request can be submitted to this endpoint using the details below:

GET
https://api.fyendalscollection.com/ev/breakdown
  • setType - The set type of the EV retrieve e.g. Wtr1stEdition, ArcUnlimitedEdition, Out, Dtd etc.

  • productType - The product type of the EV to retrieve. Can be Pack, Box or Case.

GET /ev/breakdown?setType=Hnt&productType=Box HTTP/1.1
Host: api.fyendalscollection.com
Authorization: Bearer eyJ...

A successful response from this endpoint gives a 200 OK and the following response model:

The warning field indicates any potential issues with the product’s estimated value.

EvBreakdownResponseModel.ts
interface EvBreakdownResponseModel {
readonly productId: string;
readonly productName: string;
readonly fcId: string;
readonly imageUrl: string;
readonly currentEstimatedValue: Money;
readonly warning: string | null;
readonly categories: EvBreakdownResponseModelCategory[];
}
interface EvBreakdownResponseModelCategory {
readonly category: string;
readonly categoryName: string;
readonly multiplier: number;
readonly averageMarketPrice: Money;
readonly contributedValue: Money;
}
HTTP/1.1 200 OK
Content-Type: application/json
{
"productId": "769e8ff4-b275-4853-9f58-bddccc885e40",
"productName": "The Hunted Booster Box",
"fcId": "HNT-BOX",
"imageUrl": "https://tcgplayer-cdn.tcgplayer.com/product/591274_400w.jpg",
"currentEstimatedValue": {
"currency": "USD",
"value": 124.37
},
"warning": null,
"categories": [
{
"category": "MajesticNormal",
"categoryName": "Majestic Normal",
"multiplier": 6.00000,
"averageMarketPrice": {
"currency": "USD",
"value": 6.57071
},
"contributedValue": {
"currency": "USD",
"value": 39.42429
}
},
{
"category": "LegendaryRainbowFoil",
"categoryName": "Legendary Rainbow Foil",
"multiplier": 0.25000,
"averageMarketPrice": {
"currency": "USD",
"value": 98.86167
},
"contributedValue": {
"currency": "USD",
"value": 24.71550
}
}
...
]
}

The following problem types can be encountered when using this endpoint:

If the specified product and set pair do not exist.